package org.xbib.interlibrary.db.medea.postgresql;

import java.io.IOException;
import org.xbib.interlibrary.action.order.AbstractOrderService;
import org.xbib.interlibrary.action.order.OrderService;
import org.xbib.interlibrary.api.action.ServiceArguments;

public class MedeaOrderService extends AbstractOrderService implements OrderService {

    private final MedeaDatabaseModule medeaManager;

    public MedeaOrderService(ServiceArguments arguments, String name) {
        super(arguments, name);
        this.medeaManager = new MedeaDatabaseModule();
    }

    @Override
    public void close() throws IOException {
        medeaManager.close();
    }

}
