package org.xbib.interlibrary.db.medea.postgresql;

import java.io.IOException;
import org.xbib.interlibrary.action.order.OrderService;
import org.xbib.interlibrary.action.order.OrderServiceProvider;
import org.xbib.interlibrary.api.action.ServiceArguments;

public class MedeaOrderServiceProvider implements OrderServiceProvider {

    public MedeaOrderServiceProvider() {
    }

    @Override
    public String getName() {
        return "medea";
    }

    @Override
    public OrderService createService(ServiceArguments args) throws IOException {
        return new MedeaOrderService(args, getName());
    }
}
